from Numeric import *
import hdfeos

#filename='/proj/Y/MISR/FULL/MISR_AM1_GRP_RCCM_GM_P233_O019459_AN_F02_0019.hdf'

filename='/proj/Z/GENESIS/MISR/MISR_AM1_TC_STEREO_P233_O016197_F05_0008.hdf';
print "File:", filename
grids = hdfeos.grids(filename)
for grid in grids:
	print " Grid:", grid
	fields = hdfeos.grid_fields(filename, grid)
	for field in fields:
		dims = hdfeos.grid_field_dims(filename, grid, field)
		data = hdfeos.grid_field_read(filename, grid, field, 0, 0, 0, 0);
		print "  Field:", field, dims, " typecode:", data.typecode()
print

filename='/proj/Y/GENESIS/MODIS/MOD04_L2.A2000110.0220.002.2000207224833.hdf';
print "File:", filename
swaths = hdfeos.swaths(filename)
for swath in swaths:
	print " Swath:", swath
	fields = hdfeos.swath_data_fields(filename, swath)
	for field in fields:
		dims = hdfeos.swath_field_dims(filename, swath, field)
		data = hdfeos.swath_field_read(filename, swath, field, 0, 0, 0, 0);
		print "  Data Field:", field, dims, " typecode:", data.typecode()
	fields = hdfeos.swath_geo_fields(filename, swath)
	for field in fields:
		dims = hdfeos.swath_field_dims(filename, swath, field)
		data = hdfeos.swath_field_read(filename, swath, field, 0, 0, 0, 0);
		print "  Geoloc. Field:", field, dims, " typecode:", data.typecode()		
