from distutils.core import setup, Extension

module1 = Extension('hdfeos',
					include_dirs = ['/home/dmazzoni/linux/hdf/include',
									'/home/dmazzoni/linux/hdf/hdfeos/include'],
					library_dirs = ['/home/dmazzoni/linux/hdf/lib',
									'/home/dmazzoni/linux/hdf/hdfeos/lib/linux'],
                    libraries = ['hdfeos', 'mfhdf', 'df', 'z', 'jpeg', 'nsl', 'm'],
                    sources = ['pyhdfeos.c'])

setup (name = 'hdfeos',
       version = '0.1',
       description = 'Numerical Python interface to HDF-EOS data sets',
       ext_modules = [module1])
