from Numeric import *
import hdfeos

#filename='/proj/Y/GENESIS/MISR/MISR_AM1_TC_STEREO_P233_O016197_F05_0008.hdf';
#dataset='SubregParams'
#field='SDCM_BestWinds'

filename='/proj/Y/MISR/FULL/MISR_AM1_GRP_RCCM_GM_P233_O019459_AN_F02_0019.hdf'
dataset='RCCM';
field='Cloud';

grids = hdfeos.grids(filename)
print grids

fields = hdfeos.grid_fields(filename, dataset)
print fields

dims = hdfeos.grid_field_dims(filename, dataset, field)
print "Dims:", dims

data = hdfeos.grid_field_read(filename, dataset, field, 47);
print "Shape:", data.shape
print "Typecode:", data.typecode()
print "Zero:", size(nonzero(data.flat == 0))
print "Nonzero:", size(nonzero(data.flat > 0))
print

data = hdfeos.grid_field_read(filename, dataset, field, (47, 49));
print "Shape:", data.shape
print

data = hdfeos.grid_field_read(filename, dataset, field, 47, (0,16,128), (0,16,512))
print "Shape:", data.shape
print data
print



